summaryrefslogtreecommitdiff
path: root/ao-bringup
diff options
context:
space:
mode:
authorBdale Garbee <bdale@gag.com>2016-05-06 17:59:39 -0600
committerBdale Garbee <bdale@gag.com>2016-05-06 17:59:39 -0600
commitac7be4a40df88ee3a0992e041635e4ac4cf5ac48 (patch)
treeee3c747b2ee98b772e02dce604b58878e9336def /ao-bringup
parentb53c78e75879d647935a30acb88fdd69467617a7 (diff)
parentce4c8a8ad57515e851207b0a82f3af791bb30d3e (diff)
Merge branch 'master' into branch-1.6
Diffstat (limited to 'ao-bringup')
-rwxr-xr-xao-bringup/cal-freq2
-rwxr-xr-xao-bringup/test-telemega1
-rwxr-xr-xao-bringup/turnon_chaoskey33
3 files changed, 35 insertions, 1 deletions
diff --git a/ao-bringup/cal-freq b/ao-bringup/cal-freq
index d3d9dc95..40c25ce8 100755
--- a/ao-bringup/cal-freq
+++ b/ao-bringup/cal-freq
@@ -10,7 +10,7 @@ case $# in
;;
esac
-../ao-tools/ao-cal-freq/ao-cal-freq --dev=$dev
+../ao-tools/ao-cal-freq/ao-cal-freq --tty=$dev
case $? in
0)
calline=`./get-radio-cal $dev`
diff --git a/ao-bringup/test-telemega b/ao-bringup/test-telemega
index b801b20c..0ac475a3 100755
--- a/ao-bringup/test-telemega
+++ b/ao-bringup/test-telemega
@@ -60,6 +60,7 @@ ao-list | while read product serial dev; do
echo""
echo "$PRODUCT-v$VERSION" serial "$serial" is ready to ship
+ echo "\007"
ret=0
;;
esac
diff --git a/ao-bringup/turnon_chaoskey b/ao-bringup/turnon_chaoskey
new file mode 100755
index 00000000..8c20ebaa
--- /dev/null
+++ b/ao-bringup/turnon_chaoskey
@@ -0,0 +1,33 @@
+#!/bin/sh
+
+if [ -x /usr/bin/dfu-util ]; then
+ DFU_UTIL=/usr/bin/dfu-util
+else
+ echo "Can't find dfu-util! Aborting."
+ exit 1
+fi
+
+if [ -x /usr/bin/ao-usbload ]; then
+ USBLOAD=/usr/bin/ao-usbload
+else
+ echo "Can't find ao-usbload! Aborting."
+ exit 1
+fi
+
+VERSION=1.0
+PRODUCT=ChaosKey
+
+echo "ChaosKey v$VERSION Turn-On and Calibration Program"
+echo "Copyright 2015 by Keith Packard. Released under GPL v2"
+echo
+echo "Expectations:"
+echo "\tChaosKey v$VERSION powered from USB"
+echo
+
+$DFU_UTIL -a 0 -s 0x08000000:leave -D ../src/chaoskey-v$VERSION/flash-loader/chaoskey-v$VERSION*.bin || exit 1
+
+sleep 2
+
+$USBLOAD --serial=1 ../src/chaoskey-v$VERSION/chaoskey-v$VERSION*.ihx || exit 1
+
+exit $?